package com.fs.hisStore.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;

/**
 * 产品浏览分析对象 fs_store_visit
 * 
 * @author fs
 * @date 2022-03-15
 */
public class FsStoreVisitScrm extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 产品ID */
    @Excel(name = "产品ID")
    private Long productId;

    /** 产品类型 */
    @Excel(name = "产品类型")
    private String productType;

    /** 产品分类ID */
    @Excel(name = "产品分类ID")
    private Long cateId;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long userId;

    /** 访问次数 */
    @Excel(name = "访问次数")
    private Long count;

    /** 备注描述 */
    @Excel(name = "备注描述")
    private String content;


    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getProductId() {
        return productId;
    }

    public void setProductId(Long productId) {
        this.productId = productId;
    }

    public String getProductType() {
        return productType;
    }

    public void setProductType(String productType) {
        this.productType = productType;
    }

    public Long getCateId() {
        return cateId;
    }

    public void setCateId(Long cateId) {
        this.cateId = cateId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getCount() {
        return count;
    }

    public void setCount(Long count) {
        this.count = count;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }


}
